import java.util.LinkedList;

/**
 * Created by Christian on 10.02.2015.
 */
public class PythagorasTriangleList {
    private LinkedList<PythagorasTriangle> triangles = new LinkedList<PythagorasTriangle>();
    private Numbers numbers = new Numbers();

    public PythagorasTriangleList(PythagorasTree.PythagorasTreeVariant variant, double maximalDepth, double angle) {
        for (int i = 0; i < maximalDepth; i++) {
            triangles.add(new PythagorasTriangle(variant, i, numbers, angle));
        }
    }

    public double getLeftAngle(int index) {
        return triangles.get(index).getLeftAngle();
    }

    public double getRightAngle(int index) {
        return triangles.get(index).getRightAngle();
    }

    public double getLeftSizeFactor(int index) {
        return triangles.get(index).getLeftSizeFactor();
    }

    public double getRightSizeFactor(int index) {
        return triangles.get(index).getRightSizeFactor();
    }
}
